missing values sf01 to zv41
(99).

freq sf01 to zv41.
*v sekci fs4 a sf5 njak peklepov trojky.
*v sf7 a sf8 jsou dv nuly - nedefinovan.
*v sf9d je 34.
*v sf11c je 6.


*kly UQOL.
recode uqol07 uqol08 uqol16 uqol11 uqol12 uqol13 uqol15 uqol04
(1=5) (2=4) (3=3) (4=2) (5=1) into uqol07r uqol08r uqol16r uqol11r uqol12r uqol13r uqol15r uqol04r.
execute.
compute UQOL_O=uqol02+uqol03+uqol06+uqol17+uqol18+uqol19+uqol23.
compute UQOL_H=uqol07r+uqol08r+uqol09+uqol10+uqol16r+uqol21+uqol22.
compute UQOL_E=uqol01+uqol11r+uqol12r+uqol13r+uqol15r+uqol20.
compute UQOL_S=uqol04r+uqol05+uqol14.
compute UQOL_T=uqol02+uqol03+uqol06+uqol17+uqol18+uqol19+uqol23+uqol07r+uqol08r+uqol09+uqol10+uqol16r+uqol21+uqol22+uqol01+uqol11r+uqol12r+uqol13r+uqol15r+uqol20+uqol04r+uqol05+uqol14.
execute.
VARIABLE LABELS 
UQOL_O "UQOL Prce"
UQOL_H "UQOL Zdrav"
UQOL_E "UQOL Emoce"
UQOL_S "UQOL Sex"
UQOL_T "UQOL Celkem".




corr UQOL_O to UQOL_T.

RELIABILITY
  /VARIABLES=uqol01 to uqol04r
  /SCALE('total') uqol02 uqol03 uqol06 uqol17 uqol18 uqol19 uqol23 uqol07r uqol08r uqol09 uqol10 uqol16r uqol21 uqol22 uqol01 uqol11r uqol12r uqol13r uqol15r uqol20 uqol04r uqol05 uqol14
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL CORR.

RELIABILITY
  /VARIABLES=uqol01 to uqol04r
  /SCALE('health') uqol07r uqol08r uqol09 uqol10 uqol16r uqol21 uqol22
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL CORR.

RELIABILITY
  /VARIABLES=uqol01 to uqol04r
  /SCALE('emotional') uqol01 uqol11r uqol12r uqol13r uqol15r uqol20
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL CORR.

RELIABILITY
  /VARIABLES=uqol01 to uqol04r
  /SCALE('sexual') uqol04r uqol05 uqol14
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL CORR.


*kly MRS.
compute MRS_P=MRS04+MRS05+MRS06+MRS07.
compute MRS_S=MRS01+MRS02+MRS03+MRS11.
compute MRS_U=MRS08+MRS09+MRS10.
EXECUTE.
COMPUTE MRS_T=MRS_P+MRS_S+MRS_U.
EXECUTE.
VARIABLE LABELS
MRS_P "MRS Psychologie"
MRS_S "MRS Somatika"
MRS_U "MRS Urogenitln"
MRS_T "MRS Celkem".


EXAMINE MRS_P TO MRS_T.
CORR MRS_P TO MRS_T.


RELIABILITY
  /VARIABLES=MRS04 MRS05 MRS06 MRS07
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL CORR.

RELIABILITY
  /VARIABLES=MRS01 MRS02 MRS03 MRS11
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL CORR.

RELIABILITY
  /VARIABLES=MRS08 MRS09 MRS10
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL CORR.

RELIABILITY
  /VARIABLES=MRS01 TO MRS11
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL CORR.


desc vk.
compute vekC=vk-54.65.
execute.
variable labels
vekC "vk centrovan".


*Modely.

UNIANOVA  UQOL_O to UQOL_T  BY lba WITH vk
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vk lba*vk.

UNIANOVA  MRS_P to MRS_T  BY lba WITH vekC
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vekC lba*vekC.
*bez interakce vychz total vliv lby.


UNIANOVA  SF01  BY lba WITH vekC
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vekC lba*vekC.

UNIANOVA  SF02  BY lba WITH vekC
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vekC lba*vekC.


*Zkusm trochu kontrolovat.
UNIANOVA  MRS_P  BY lba WITH vekC MRS_S
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vekC lba*vekC MRS_S.

UNIANOVA  MRS_U  BY lba WITH vekC MRS_S
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN= MRS_S lba vekC lba*vekC.




*SF36.


*Report.
*Pod pracujeme pouze s prvnmi vyetenmi.


freq lba.
FREQUENCIES VARIABLES=vk
  /FORMAT=NOTABLE
  /HISTOGRAM
  /ORDER=ANALYSIS.

DESCRIPTIVES VARIABLES=UQOL_O UQOL_H UQOL_E UQOL_S UQOL_T
  /STATISTICS=MEAN STDDEV MIN MAX SEMEAN KURTOSIS SKEWNESS.

DESCRIPTIVES VARIABLES=MRS_P to MRS_T
  /STATISTICS=MEAN STDDEV MIN MAX SEMEAN KURTOSIS SKEWNESS.

corr vk UQOL_O UQOL_H UQOL_E UQOL_S UQOL_T.
corr vk MRS_P to MRS_T.
corr UQOL_O UQOL_H UQOL_E UQOL_S UQOL_T with MRS_P to MRS_T.


T-TEST GROUPS=lba(0 1)
  /MISSING=ANALYSIS
  /VARIABLES=UQOL_O UQOL_H UQOL_E UQOL_S UQOL_T MRS_P MRS_S MRS_U MRS_T
  /CRITERIA=CI(.95).

UNIANOVA  UQOL_O to UQOL_T  BY lba WITH vk
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vk lba*vk.

UNIANOVA  MRS_P to MRS_T  BY lba WITH vk
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vk lba*vk.


*Prvn dv poloky spolu vysoce koreluj, lze sest.

freq sf01 sf02.
CROSSTABS
  /TABLES=SF01 SF02 by lba
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ CC PHI CTAU 
  /CELLS=COUNT COLUMN ASRESID 
  /COUNT ROUND CELL.

*U SF01 nen rozdl podle lby, u sf02 je nznak, kter zkusme t-testem.
UNIANOVA  SF01 SF02 BY lba WITH vk
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vk lba*vk.
*ne ani intervalov to nevychz (dokonce prmrn zlepen zdrav u lench je numericky ni).

*Poloky skce 3 tvo unidim klu.
compute SF3=4-mean.5(sf03a, sf03b,sf03c,sf03d,sf03e,sf03f,sf03g,sf03h,sf03i,sf03j). 
execute.
variable labels SF3 "SF3 Omezen nemoc".
examine SF3.
UNIANOVA  SF3 BY lba WITH vk
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vk lba*vk.

CROSSTABS
  /TABLES=SF03a to SF03j by lba
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ CC PHI CTAU 
  /CELLS=COUNT COLUMN ASRESID 
  /COUNT ROUND CELL.
*Na kle nen rozdl. Jedn rozdl nael chkvadrt u SF03b - stedn namhavch innost.
corr SF3 vk.
CROSSTABS
  /TABLES=SF04a to SF05c by lba
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ CC PHI CTAU 
  /CELLS=COUNT COLUMN ASRESID 
  /COUNT ROUND CELL.
*Jedin zvislost u 4d.
CROSSTABS
  /TABLES=SF06 to SF08 by lba
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ CC PHI CTAU 
  /CELLS=COUNT COLUMN ASRESID 
  /COUNT ROUND CELL.
UNIANOVA  SF06 to SF08 BY lba WITH vk
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vk lba*vk.
corr SF06 to SF08.
compute SF68=sf06+sf07+sf08.
execute.
variable labels SF68 "SF68 souet SF06,07,08".
examine sf68.
UNIANOVA  SF68 BY lba WITH vk
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vk lba*vk.
*Sekce 9 je dvoufaktorov.
compute SF9pos=7-mean.3(SF09a, SF09d, SF09e, SF09h).
compute SF9neg=7-mean.3(SF09b, SF09c, SF09f, SF09g, SF09i).
execute.
variable labels 
sf9pos "sf9pos Pozitivn emoce sekce 9"
sf9neg "sf9neg Negativn emoce sekce 9". 
examine sf9pos sf9neg.
UNIANOVA  sf9pos sf9neg BY lba WITH vk
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=OPOWER ETASQ DESCRIPTIVE PARAMETER
  /CRITERIA=ALPHA(.05)
  /DESIGN=lba vk lba*vk.
*Ani na jednom z faktor nen rozdl.
corr sf3 sf68 sf9pos sf9neg.

CROSSTABS
  /TABLES=SF10 to SF11_4 by lba
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ CC PHI CTAU 
  /CELLS=COUNT COLUMN ASRESID 
  /COUNT ROUND CELL.  





freq zv11 to zv41.
CROSSTABS
  /TABLES=zv41 by lba
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ CC PHI CTAU 
  /CELLS=COUNT COLUMN ASRESID 
  /COUNT ROUND CELL.  


*etnosti vech poloek -  pro plnost.
freq sf01 to zv41.

corr uqol_o to mrs_t with sf01 sf02 sf3 to sf9neg.